Sisimai::Data::YAML(3pm)

NAME
Sisimai::Data::YAML - Dumps parsed data object as a YAML format

SYNOPSIS
    use Sisimai::Data;
    my $data = Sisimai::Data->make('data' => <Sisimai::Message> object);
    for my $e ( @$data ) {
        print $e->dump('yaml');
    }

DESCRIPTION
Sisimai::Data::YAML dumps parsed data object as a YAML format. This class and method should be called from the parent object "Sisimai::Data".

CLASS METHODS

  "dump(Sisimai::Data)"
"dump" method returns Sisimai::Data object as a YAML formatted string.

    my $mail = Sisimai::Mail->new('/var/mail/root');
    while( my $r = $mail->read ) {
        my $mesg = Sisimai::Message->new('data' => $r);
        my $data = Sisimai::Data->make('data' => $mesg);
        for my $e ( @$data ) {
            print $e->dump('yaml');
        }
    }

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2016,2018 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.